Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Reactive_Timeout_Generator Class Reference

A simple implementation of the Timeout_Generator based on the Reactor. More...

`#include <EC_Reactive_Timeout_Generator.h>`

Inheritance diagram for TAO_EC_Reactive_Timeout_Generator

[legend]
Collaboration diagram for TAO_EC_Reactive_Timeout_Generator:

[legend]
List of all members.

## Public Methods
| TAO_EC_Reactive_Timeout_Generator (ACE_Reactor *reactor = 0)
| Constructor. If <reactor> is 0 then we use the reactor in the ORB singleton.
virtual | ~TAO_EC_Reactive_Timeout_Generator (void)
| destructor.
virtual void | activate (void)
| Activate any internal threads.
virtual void | shutdown (void)
| Deactivate any internal threads, clients can destroy the object after calling this method.
virtual int | schedule_timer (TAO_EC_Timeout_Filter* filter, const ACE_Time_Value& delta, const ACE_Time_Value& interval)
| Add a timer at the given priority, returns the timer ID.
virtual int | cancel_timer (const TAO_EC_QOS_Info& info, int id)
| Cancel a timer at the given priority.
## Private Attributes
ACE_Reactor* | reactor_
| The reactor.
TAO_EC_Timeout_Adapter | event_handler_
| An adapter to receive the timeout events.

## Detailed Description

A simple implementation of the Timeout_Generator based on the Reactor.

Implements the Timeout_Generator using an ACE_Reactor. Usually the same reactor that is used by the ORB where the EC runs.

## Constructor & Destructor Documentation

TAO_EC_Reactive_Timeout_Generator::TAO_EC_Reactive_Timeout_Generator ( | ACE_Reactor * reactor = 0 )`[inline]`

| Constructor. If <reactor> is 0 then we use the reactor in the ORB singleton.

TAO_EC_Reactive_Timeout_Generator::~TAO_EC_Reactive_Timeout_Generator ( | void )`[virtual]`

| destructor.

## Member Function Documentation

void TAO_EC_Reactive_Timeout_Generator::activate ( | void )`[virtual]`

| Activate any internal threads. Reimplemented from TAO_EC_Timeout_Generator.

int TAO_EC_Reactive_Timeout_Generator::cancel_timer ( | const TAO_EC_QOS_Info & info,
| int id )`[virtual]`

| Cancel a timer at the given priority. Reimplemented from TAO_EC_Timeout_Generator.

int TAO_EC_Reactive_Timeout_Generator::schedule_timer ( | TAO_EC_Timeout_Filter * filter,
| const ACE_Time_Value & delta,
| const ACE_Time_Value & interval )`[virtual]`

| Add a timer at the given priority, returns the timer ID. Reimplemented from TAO_EC_Timeout_Generator.

void TAO_EC_Reactive_Timeout_Generator::shutdown ( | void )`[virtual]`

| Deactivate any internal threads, clients can destroy the object after calling this method. Reimplemented from TAO_EC_Timeout_Generator.

## Member Data Documentation

TAO_EC_Timeout_Adapter TAO_EC_Reactive_Timeout_Generator::event_handler_`[private]`

| An adapter to receive the timeout events.

ACE_Reactor * TAO_EC_Reactive_Timeout_Generator::reactor_`[private]`

| The reactor.

The documentation for this class was generated from the following files:

- EC_Reactive_Timeout_Generator.h
- EC_Reactive_Timeout_Generator.cpp